Subject: [Roll] FYI: Contiki 2.5 with RPL released

From: Adam Dunkels <[email-masked]>
Date: Sat, 10 Sep 2011 23:24:55 +0200

Hi all,

FYI: Contiki 2.5 was just released: http://www.contiki-os.org/

ContikiRPL, the Contiki RPL implementation, is now the default IPv6 
Contiki routing protocol. Contiki with IPv6/RPL routing runs nicely on a 
number of platforms and over both always-on 802.15.4 and duty cycled 
low-power 802.15.4 (ContikiMAC).

Here is a quick tutorial for setting up a RPL network in the Contiki 
simulator:
http://www.sics.se/contiki/wiki/index.php/Setting_up_a_Low-Power_IPv6/RPL_Network

(Note that the Instant Contiki development environment that is mentioned 
in the tutorial is still not updated to the latest 2.5 version.)

Best regards,

/adam
-- 
Adam Dunkels <[email-masked]> | +46 70 7731614 | http://www.sics.se/~adam/
Book: Interconnecting Smart Objects with IP - http://TheNextInternet.org